net.corda.node.services.persistence

## Class NodeAttachmentService.HashMismatchException

- Enclosing class:
    NodeAttachmentService

      public static class NodeAttachmentService.HashMismatchException

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashMismatchException(SecureHash expected, SecureHash actual)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecureHash` | `getActual()`
    `SecureHash` | `getExpected()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### HashMismatchException

          public HashMismatchException(SecureHash expected,
                                       SecureHash actual)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getExpected

          public SecureHash getExpected()

    - #### getActual

          public SecureHash getActual()